Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class SinglePingTest

    java.lang.Object
      rice.pastry.testing.SinglePingTest

public class SinglePingTest
extends java.lang.Object

SinglePingTest A performance test suite for pastry.

Version:
  $Id: SinglePingTest.java 2805 2005-11-17 16:22:24Z jeffh $
Author:
  Rongmei Zhang

Constructor Summary
`SinglePingTest(TestRecord tr, Environment env)` Constructor for SinglePingTest.

Method Summary
`void` | `checkRoutingTable()` DESCRIBE THE METHOD
`PastryNode` | `makePastryNode()` DESCRIBE THE METHOD
`void` | `sendPings(int k)` DESCRIBE THE METHOD
`boolean` | `simulate()` DESCRIBE THE METHOD
`void` | `test()` A unit test for JUnit

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinglePingTest

    public SinglePingTest(TestRecord tr,
                          Environment env)

  Constructor for SinglePingTest.

Parameters:
  `tr` - DESCRIBE THE PARAMETER
  `env` - DESCRIBE THE PARAMETER

Method Detail

### makePastryNode

    public PastryNode makePastryNode()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### sendPings

    public void sendPings(int k)

  DESCRIBE THE METHOD

  Parameters:
    `k` - DESCRIBE THE PARAMETER

### simulate

    public boolean simulate()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### checkRoutingTable

    public void checkRoutingTable()

  DESCRIBE THE METHOD

### test

    public void test()

  A unit test for JUnit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.